"""empty message

Revision ID: 7fd8c310a783
Revises: 7cc2eee2d907
Create Date: 2018-03-19 07:00:21.365847

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '7fd8c310a783'
down_revision = '7cc2eee2d907'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('revision',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.PrimaryKeyConstraint('id')
    )
    op.add_column('branch', sa.Column('revision_id', sa.Integer(), nullable=False))
    op.create_foreign_key('fk_address_territory_id', 'branch', 'territory', ['address_territory_id'], ['id'], use_alter=True)
    op.create_foreign_key('fk_branch_revision_id', 'branch', 'revision', ['revision_id'], ['id'])
    op.add_column('profile', sa.Column('revision_id', sa.Integer(), nullable=False))
    op.create_foreign_key('fk_profile_revision_id', 'profile', 'revision', ['revision_id'], ['id'])
    op.add_column('territory', sa.Column('revision_id', sa.Integer(), nullable=False))
    op.create_foreign_key('fk_territory_revision_id', 'territory', 'revision', ['revision_id'], ['id'])
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_constraint('fk_territory_revision_id', 'territory', type_='foreignkey')
    op.drop_column('territory', 'revision_id')
    op.drop_constraint('fk_profile_revision_id', 'profile', type_='foreignkey')
    op.drop_column('profile', 'revision_id')
    op.drop_constraint('fk_branch_revision_id', 'branch', type_='foreignkey')
    op.drop_constraint('fk_address_territory_id', 'branch', type_='foreignkey')
    op.drop_column('branch', 'revision_id')
    op.drop_table('revision')
    # ### end Alembic commands ###
